Name:          libunistring2
Version:       1.0
Release:       1mamba
Summary:       GNU LIBUNISTRING - Unicode string library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/libunistring/
Source:        http://ftp.gnu.org/gnu/libunistring/libunistring-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}

%description
This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.

libunistring implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing (names, classifications, properties) and functions for string processing (iteration, formatted output, width, word breaks, line breaks, normalization, case folding and regular expressions).

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU LIBUNISTRING - Unicode string library.
This package contains libraries and header files needed for development.

%package docs
Group:         Documentation
Summary:       Documentation for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description docs
GNU LIBUNISTRING - Unicode string library.
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q -n libunistring-%{version}

%build
%configure \
  --disable-static \
  --disable-rpath
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_libdir}/libunistring.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %{name}.info
exit 0

%preun devel
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libunistring.so.*
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/unistring
%{_includedir}/unistring/*.h
%{_libdir}/libunistring.so
%{_infodir}/libunistring.info.gz
%doc BUGS ChangeLog DEPENDENCIES HACKING THANKS NEWS README

%files docs
%defattr(-,root,root)
%doc %{_docdir}/libunistring

%changelog
* Wed Jan 05 2022 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Wed Jun 06 2018 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Sat Dec 16 2017 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic update by autodist

* Fri Dec 16 2016 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Mon Jan 25 2016 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic update by autodist

* Sun Sep 14 2014 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Tue Mar 22 2011 gil <puntogil@libero.it> 0.9.3-1mamba
- package created by autospec
